Fork me on GitHub"

# skbio.io.registry.IORegistry.list_read_formats

`IORegistry.``list_read_formats`(cls)

  Return a list of available read formats for a given cls type.

  State: Stable as of 0.4.0.

  Parameters:

  cls : type

  > The class which will be used to determine what read formats exist for an instance of cls.

  Returns:

  list

  > A list of available read formats for an instance of cls. List may be empty.